2018-05-26 14:44 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002779FSSCPgameplaypublic2013-01-12 16:58
ReporterInglonias 
Assigned ToFUBAR-BDHR 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7OS VersionHome (64 bit)
Product Version3.6.14 
Target VersionFixed in Version 
Summary0002779: ~+U Crashes the game
DescriptionAfter enabling cheats, pressing ~+U crashes the game. This is a minor issue, I guess, but the 'U' key is right next to the 'I' key, and trying to make myself invincible will occasionally crash the game because I pressed the wrong key.

PS: What is ~+U even supposed to do?
Steps To ReproduceEnter a mission
Enable cheats
Press ~+U

Watch the game crash.
Additional InformationDebug log attached
TagsNo tags attached.
Attached Files
  • log file icon fs2_open.log (71,726 bytes) 2013-01-11 23:42
  • log file icon fs2_open v3.6.16rc1.log (43,838 bytes) 2013-01-12 13:31
  • patch file icon asteroid_cheat.patch (685 bytes) 2013-01-12 16:23 -
    Index: io/keycontrol.cpp
    ===================================================================
    --- io/keycontrol.cpp	(revision 9490)
    +++ io/keycontrol.cpp	(working copy)
    @@ -884,11 +884,15 @@
     			// launch asteroid
     			object *asteroid_create(asteroid_field *asfieldp, int asteroid_type, int subtype);
     			object *objp = asteroid_create(&Asteroid_field, 0, 0);
    +			if(objp == NULL) {
    +				break;
    +			}			
     			vec3d vel;
     			vm_vec_copy_scale(&vel, &Player_obj->orient.vec.fvec, 50.0f);
     			objp->phys_info.vel = vel;
     			objp->phys_info.desired_vel = vel;
     			objp->pos = Player_obj->pos;
    +			HUD_sourced_printf(HUD_SOURCE_HIDDEN, XSTR( "Asteroid launched", 18));
     			break;
     		}
     
    
    patch file icon asteroid_cheat.patch (685 bytes) 2013-01-12 16:23 +

-Relationships
+Relationships

-Notes

~0014633

FUBAR-BDHR (developer)

I can't reproduce this. Can you try with 3.6.16rc1 and see if it still exists?

~0014634

Inglonias (reporter)

Last edited: 2013-01-12 13:31

View 2 revisions

Reproduced the bug using the debug build for 3.6.16rc1. New log is uploaded.

~0014635

FUBAR-BDHR (developer)

Seems I was hitting shift+~+U. Shows how much I use cheat codes. Anyway this is supposed to fire an asteroid in an asteroid field. As there is no asteroid filed in the mission it can't create one and caused the crash. Attached patch.

~0014637

Goober5000 (administrator)

Fix committed to trunk@9498.

~0014638

Goober5000 (administrator)

Good catch. This has been crashing ever since retail.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-01-11 23:42 Inglonias New Issue
2013-01-11 23:42 Inglonias File Added: fs2_open.log
2013-01-12 02:53 FUBAR-BDHR Note Added: 0014633
2013-01-12 13:31 Inglonias File Added: fs2_open v3.6.16rc1.log
2013-01-12 13:31 Inglonias Note Added: 0014634
2013-01-12 13:31 Inglonias Note Edited: 0014634 View Revisions
2013-01-12 16:23 FUBAR-BDHR Assigned To => FUBAR-BDHR
2013-01-12 16:23 FUBAR-BDHR Status new => assigned
2013-01-12 16:23 FUBAR-BDHR File Added: asteroid_cheat.patch
2013-01-12 16:25 FUBAR-BDHR Note Added: 0014635
2013-01-12 16:25 FUBAR-BDHR Status assigned => code review
2013-01-12 16:57 Goober5000 Changeset attached => fs2open trunk r9498
2013-01-12 16:57 Goober5000 Note Added: 0014637
2013-01-12 16:57 Goober5000 Status code review => resolved
2013-01-12 16:57 Goober5000 Resolution open => fixed
2013-01-12 16:58 Goober5000 Note Added: 0014638
+Issue History